<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--
IGAC proyecto SNC

@author 		javier.aponte
@modified		christian.rodriguez nuevas versiones desde el 2012
@version		2.0
@description	CU-SA-AC-014 Registrar Ofertas de Mercado Inmobiliario Usados
                módulo de información económica
@cu 			CU-AV-O-01
@param 			ofertaInmobiliariaParam: 	oferta inmobiliaria seleccionada

-->

<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:p="http://primefaces.org/ui" columns="6" cellspacing="8"
             columnClasses="colMediana, colPequena, colMediana, colPequena, colMediana, colPequena">


    <h:panelGroup rendered="#{!managedBeanParam.tipoInvestigacionArriendo}">
        <h:outputLabel value="Valor pedido: " for="valorPedidoIE"
                       styleClass="outputLabelStyle" />
        <h:outputLabel value="* " styleClass="requiredLabelStyle" />
    </h:panelGroup>
    <h:panelGrid columns="2"
                 rendered="#{!managedBeanParam.tipoInvestigacionArriendo}">
        <h:inputText id="valorPedidoIE" label="Valor Pedido" required="true"
                     value="#{ofertaInmobiliariaParam.valorPedido}">
            <f:validateDoubleRange minimum="1.0" for="valorPedidoIE" />
            <f:converter converterId="converterMoneda" for="valorPedidoIE" />
            <p:ajax event="blur" update="valorDepuradoIE"
                    onstart="aplicarFormatoMoneda('registroOfertaInmobiliariaFormId:valorPedidoIE',true);" />
            <p:ajax event="focus"
                    onstart="aplicarFormatoMoneda('registroOfertaInmobiliariaFormId:valorPedidoIE',false);" />
        </h:inputText>
        <p:message for="valorPedidoIE" display="icon" />
    </h:panelGrid>

    <h:panelGroup rendered="#{!managedBeanParam.tipoInvestigacionArriendo}">
        <h:outputLabel value="% de Negociación: "
                       for="porcentajeNegociacionIE" styleClass="outputLabelStyle" />
        <h:outputLabel value="* " styleClass="requiredLabelStyle" />
    </h:panelGroup>
    <h:panelGrid columns="2"
                 rendered="#{!managedBeanParam.tipoInvestigacionArriendo}">
        <h:inputText id="porcentajeNegociacionIE" label="% de Negociación"
                     required="true"
                     value="#{ofertaInmobiliariaParam.porcentajeNegociacion}">
            <f:convertNumber type="number" groupingUsed="true"
                             minFractionDigits="2" pattern="#0.00" />
            <f:validateDoubleRange minimum="1.0" maximum="100.0"
                                   for="porcentajeNegociacionIE" />
            <p:ajax event="blur"
                    update=":registroOfertaInmobiliariaFormId:informacionEconomicaId,
                    :registroOfertaInmobiliariaFormId:msgInfoFisicaOferta"
                    listener="#{managedBeanParam.calcularValorDepurado}"
                    onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();" />
        </h:inputText>
        <p:message for="porcentajeNegociacionIE" display="icon" />
    </h:panelGrid>

    <h:panelGroup rendered="#{!managedBeanParam.tipoInvestigacionArriendo}">
        <h:outputLabel value="Forma de negociación: " for="formaNegociacionIE"
                       styleClass="outputLabelStyle" />
    </h:panelGroup>
    <h:panelGrid columns="2"
                 rendered="#{!managedBeanParam.tipoInvestigacionArriendo}">
        <h:outputText id="formaNegociacionIE"
                      value="#{ofertaInmobiliariaParam.formaNegociacion}" />
    </h:panelGrid>

    <h:panelGroup rendered="#{!managedBeanParam.tipoInvestigacionArriendo}">
        <h:outputLabel value="Valor depurado: " for="valorDepuradoIE"
                       styleClass="outputLabelStyle" />
        <h:outputLabel value="* " styleClass="requiredLabelStyle" />
    </h:panelGroup>
    <h:panelGrid columns="2"
                 rendered="#{!managedBeanParam.tipoInvestigacionArriendo}">
        <h:inputText id="valorDepuradoIE" label="Valor depurado"
                     required="true" value="#{ofertaInmobiliariaParam.valorDepurado}">
            <f:converter converterId="converterMoneda" for="valorDepuradoIE" />
            <f:validateDoubleRange minimum="1.0" for="valorDepuradoIE" />
            <p:ajax event="blur"
                    update=":registroOfertaInmobiliariaFormId:informacionEconomicaId,
                    :registroOfertaInmobiliariaFormId:msgInfoFisicaOferta"
                    listener="#{managedBeanParam.calcularPorcentajeNegociacion}"
                    onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();" />
        </h:inputText>
        <p:message for="valorDepuradoIE" display="icon" />
    </h:panelGrid>

    <h:panelGroup>
        <h:outputLabel value="Valor arriendo: " for="valorArriendoIE"
                       styleClass="outputLabelStyle" />
        <h:outputLabel value="* " styleClass="requiredLabelStyle"
                       rendered="#{managedBeanParam.tipoInvestigacionArriendo}" />
    </h:panelGroup>
    <h:panelGrid columns="2">
        <h:inputText id="valorArriendoIE" maxlength="18"
                     label="Valor arriendo"
                     value="#{ofertaInmobiliariaParam.valorArriendo}"
                     required="#{managedBeanParam.tipoInvestigacionArriendo}">
            <f:converter converterId="converterMoneda" for="valorArriendoIE" />
            <f:validateDoubleRange minimum="1.0" for="valorDepuradoIE"
                                   disabled="#{!managedBeanParam.tipoInvestigacionArriendo}" />
            <p:ajax event="blur"
                    onstart="aplicarFormatoMoneda('registroOfertaInmobiliariaFormId:valorArriendoIE',true);" />
            <p:ajax event="focus"
                    onstart="aplicarFormatoMoneda('registroOfertaInmobiliariaFormId:valorArriendoIE',false);" />
        </h:inputText>
        <p:message for="valorArriendoIE" display="icon" />
    </h:panelGrid>

    <h:outputLabel value="Valor administración: "
                   rendered="#{ofertaInmobiliariaParam.propiedadHorizontal}"
                   for="valorAdministracionIE" styleClass="outputLabelStyle" />

    <h:inputText id="valorAdministracionIE" maxlength="18"
                 label="Valor administración"
                 rendered="#{ofertaInmobiliariaParam.propiedadHorizontal}"
                 value="#{ofertaInmobiliariaParam.valorAdministracion}">
        <f:converter converterId="converterMoneda" for="valorAdministracionIE" />
        <p:ajax event="blur"
                onstart="aplicarFormatoMoneda('registroOfertaInmobiliariaFormId:valorAdministracionIE',true);" />
        <p:ajax event="focus"
                onstart="aplicarFormatoMoneda('registroOfertaInmobiliariaFormId:valorAdministracionIE',false);" />
    </h:inputText>

</h:panelGrid>
